%global pkg_name        MIME-tools
%global pkg_version     5.424
%global rpm_pkg_version 5.424
%global rpm_pkg_release 1.n0i.14

Summary:       Modules for parsing (and creating) MIME entities
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DS/DSKOLL/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl

# skipped versioning, as minimum version is quite ANTIQUE
# feel free to bug me if something changed meanwhile ;^)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Stringy)
BuildRequires: perl(Mail::Field)
BuildRequires: perl(Mail::Header)
BuildRequires: perl(Mail::Internet)
BuildRequires: perl(MIME::Base64)
# not really necessary
%global perl_filter_req 'Convert::BinHex'

%description
MIME-tools is a collection of Perl5 MIME:: modules for parsing, decoding,
*and generating* single- or multipart (even nested multipart) MIME messages.
(Yes, kids, that means you can send messages with attached GIF files).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}
%{fix_encoding ChangeLog}

%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc ChangeLog COPYING examples/ README*


%changelog
* Thu Nov 08 2007 Marius Feraru <altblue@n0i.net> - 5.424-1.n0i.14
- version 5.424

* Fri Sep 28 2007 Marius Feraru <altblue@n0i.net> - 5.423-1.n0i.13
- version 5.423

* Thu Sep 27 2007 Marius Feraru <altblue@n0i.net> - 5.422-1.n0i.12
- version 5.422

* Fri Sep 21 2007 Marius Feraru <altblue@n0i.net> - 5.421-1.n0i.11
- version 5.421

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 5.420-2.n0i.10
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Mon Mar 27 2006 Marius Feraru <altblue@n0i.net> - 5.420-1.n0i.9
- version 5.420

* Fri Feb 03 2006 Marius Feraru <altblue@n0i.net> - 5.419-1.n0i.8
- version 5.419

* Thu Oct 06 2005 Marius Feraru <altblue@n0i.net> 5.418-1.n0i.7
- version 5.418

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 5.417-1.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:6.200_02-2.n0i.5
- automatic rebuild (perl 5.8.6)

* Sat Dec 04 2004 Marius FERARU <altblue@n0i.net> 0:6.200_02-2.n0i.4
- rebuild

* Tue May 04 2004 Marius Feraru <altblue@n0i.net> 0:6.200_02-1.n0i.3
- version 6.200_02
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:5.411-0.n0i.2.a
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Mon Sep 29 2003 Marius FERARU <altblue@n0i.net> 5.411-0.n0i
- version 5.411a
- spec file (re?)created using N0i::CPAN::RPMizer/2003092601
